# config/packages/sylius_resource.yaml
sylius_resource:
    resources:
        app.web_page:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\WebPage
                form: App\Form\Type\WebPageType
                # controller: App\Controller\Admin\WebPageController
            translation:
                classes:
                    model: App\Entity\WebPageTranslation
                    form: App\Form\Type\WebPageTranslationType

        app.landing_page:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\WebPage
                form: App\Form\Type\LandingPageType
                # controller: App\Controller\Admin\WebPageController
            translation:
                classes:
                    model: App\Entity\WebPageTranslation
                    form: App\Form\Type\LandingPageTranslationType

        app.user_group:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\UserGroup
                repository: App\Repository\UserGroupRepository

        app.component:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Component
                form: App\Form\Type\ComponentType
                repository: App\Repository\ComponentRepository
            translation:
                classes:
                    model: App\Entity\ComponentTranslation
                    form: App\Form\Type\ComponentTranslationType
                    
        app.cms_component:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\CmsComponent
                form: App\Form\Type\CmsComponentType
                repository: App\Repository\CmsComponentRepository


        # app.cms_component_menu:
        #     driver: doctrine/orm # You can use also different driver here
        #     classes:
        #         model: App\Entity\CmsComponent
        #         form: App\Form\Type\CmsComponentType
        #         repository: App\Repository\CmsComponentRepository

        app.cms_menu:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\CmsMenu
                form: App\Form\Type\CmsMenuType
                repository: App\Repository\CmsMenuRepository

        app.cms_link:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\CmsLink
                form: App\Form\Type\CmsLinkType
                repository: App\Repository\CmsLinkRepository
            translation:
                classes:
                    model: App\Entity\CmsLinkTranslation
                    form: App\Form\Type\CmsLinkTranslationType

        app.cms_template:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\CmsTemplate
                form: App\Form\Type\CmsTemplateType
                repository: App\Repository\CmsTemplateRepository
                
        app.cms_style:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\CmsStyle
                form: App\Form\Type\CmsStyleType
                repository: App\Repository\CmsStyleRepository

        app.article:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Article
                form: App\Form\Type\ArticleType
                repository: App\Repository\ArticleRepository 
            translation:
                classes:
                    model: App\Entity\ArticleTranslation 
                    form: App\Form\Type\ArticleTranslationType     

        app.category:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Category
                form: App\Form\Type\CategoryType
                repository: App\Repository\CategoryRepository 
            translation:
                classes:
                    model: App\Entity\CategoryTranslation 
                    form: App\Form\Type\CategoryTranslationType
                    repository: App\Repository\CategoryTranslationRepository 

        app.category_product_type:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Category
                form: App\Form\Type\CategoryTypeProductType
                repository: App\Repository\CategoryRepository 
            translation:
                classes:
                    model: App\Entity\CategoryTranslation 
                    form: App\Form\Type\CategoryTranslationType
                    repository: App\Repository\CategoryTranslationRepository 

        app.message_contact:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Message
                form: App\Form\Type\MessageType
                repository: App\Repository\MessageRepository

        app.message_product:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Message
                form: App\Form\Type\MessageType
                repository: App\Repository\MessageRepository

        app.message_quote:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Message
                form: App\Form\Type\MessageType
                repository: App\Repository\MessageRepository

        app.message_appointment:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Message
                form: App\Form\Type\MessageType
                repository: App\Repository\MessageRepository

        app.message_special_announcement:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Message
                form: App\Form\Type\MessageType
                repository: App\Repository\MessageRepository

        app.person:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Person
                # form: App\Form\Type\MessageType
                # repository: App\Repository\MessageRepository  

        app.media_image:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\MediaObjectImage
                form: App\Form\Type\MediaObjectImageType
                repository: App\Repository\MediaObjectImageRepository

        app.media_video:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\MediaObjectVideo
                form: App\Form\Type\MediaObjectVideoType
                repository: App\Repository\MediaObjectVideoRepository

        app.media_document:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\MediaObjectDocument
                form: App\Form\Type\MediaObjectDocumentType
                repository: App\Repository\MediaObjectDocumentRepository

        app.media_icon:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\MediaObjectIcon
                form: App\Form\Type\MediaObjectIconType
                repository: App\Repository\MediaObjectIconRepository

        app.search_action:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\SearchAction
                form: App\Form\Type\SearchActionType
                repository: App\Repository\SearchActionRepository 
        
        app.organization:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Organization
                form: App\Form\Type\OrganizationType
                repository: App\Repository\OrganizationRepository 
        
        # app.organizations:
        #     driver: doctrine/orm # You can use also different driver here
        #     classes:
        #         model: App\Entity\Organization
        #         form: App\Form\Type\OrganizationType
        #         repository: App\Repository\OrganizationRepository 

        app.manufacturer:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Organization
                form: App\Form\Type\ManufacturerType
        
        app.social_link:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Organization
                form: App\Form\Type\SocialLinkType

        app.local_business:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\LocalBusiness
                form: App\Form\Type\LocalBusinessType
        
        app.brand:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Organization
                form: App\Form\Type\OrganizationBrandType

        app.service:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Service
                form: App\Form\Type\ServiceType

        app.special_announcement:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\SpecialAnnouncement
                form: App\Form\Type\SpecialAnnouncementType
                repository: App\Repository\SpecialAnnouncementRepository 
            translation:
                classes:
                    model: App\Entity\SpecialAnnouncementTranslation 
                    form: App\Form\Type\SpecialAnnouncementTranslationType
        app.address:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Address
                form: App\Form\Type\AddressType
                repository: App\Repository\AddressRepository 
        
        app.offer:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\AggregateOffer
                form: App\Form\Type\AggregateOfferType
                repository: App\Repository\AggregateOfferRepository

        app.hotel_typical_day:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\HotelTypicalDay
                form: App\Form\Type\HotelTypicalDayType
                repository: App\Repository\HotelTypicalDayRepository
            translation:
                classes:
                    model: App\Entity\HotelTypicalDayTranslation 
                    form: App\Form\Type\HotelTypicalDayTranslationType

        app.hotel_typical_day_element:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\HotelTypicalDayElement
                form: App\Form\Type\HotelTypicalDayElementType
                repository: App\Repository\HotelTypicalDayElementRepository
            translation:
                classes:
                    model: App\Entity\HotelTypicalDayElementTranslation 
                    form: App\Form\Type\HotelTypicalDayElementTranslationType

        app.amenity_feature:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\AmenityFeature
                form: App\Form\Type\AmenityFeatureType
                repository: App\Repository\AmenityFeatureRepository
            translation:
                classes:
                    model: App\Entity\AmenityFeatureTranslation 
                    form: App\Form\Type\AmenityFeatureTranslationType

        app.travel:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Trip
                form: App\Form\Type\TripType
                repository: App\Repository\TripRepository
            translation:
                classes:
                    model: App\Entity\TripTranslation 
                    form: App\Form\Type\TripTranslationType

        app.hotel_activity:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\HotelActivity
                form: App\Form\Type\HotelActivityType
                repository: App\Repository\HotelActivityRepository
            translation:
                classes:
                    model: App\Entity\HotelActivityTranslation 
                    form: App\Form\Type\HotelActivityTranslationType

        app.hotel_service:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\HotelService
                form: App\Form\Type\HotelServiceType
                repository: App\Repository\HotelServiceRepository
            translation:
                classes:
                    model: App\Entity\HotelServiceTranslation 
                    form: App\Form\Type\HotelServiceTranslationType
        
        app.hotel_room:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\HotelRoom
                form: App\Form\Type\HotelRoomType
                repository: App\Repository\HotelRoomRepository
            translation:
                classes:
                    model: App\Entity\HotelRoomTranslation 
                    form: App\Form\Type\HotelRoomTranslationType
    
        app.event:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Event
                form: App\Form\Type\EventType
                repository: App\Repository\EventRepository
            translation:
                classes:
                    model: App\Entity\EventTranslation 
                    form: App\Form\Type\EventTranslationType

        app.booking:
            driver: doctrine/orm # You can use also different driver here
            classes:
                model: App\Entity\Trip
                form: App\Form\Type\TripType
                repository: App\Repository\TripRepository
            